/*
 * 作成日: 2004/12/22
 *
 * この生成されたコメントの挿入されるテンプレートを変更するため
 * ウィンドウ > 設定 > Java > コード生成 > コードとコメント
 */
package jp.riken.brain.ni.samuraigraph.figure.java2d;

import jp.riken.brain.ni.samuraigraph.base.SGIPropertyDialogObserver;

/**
 * @author kuromaru
 *
 * この生成されたコメントの挿入されるテンプレートを変更するため
 * ウィンドウ > 設定 > Java > コード生成 > コードとコメント
 */
public interface SGIDataPropertyDialogObserver
	extends SGIPropertyDialogObserver
{
	public String getName();

	public boolean setName( final String str );

	public boolean getLegendVisibleFlag();

	public boolean setVisibleInLegend( final boolean b );
}
